groovy.util

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - groovy.util.ResourceException

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceException()`
    `ResourceException(java.lang.String message)`
    `ResourceException(java.lang.String message, java.lang.Throwable cause)`
    `ResourceException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

    - #### ResourceException

          public ResourceException(java.lang.String message)

      Parameters:
        `message` -

    - #### ResourceException

          public ResourceException(java.lang.String message,
                           java.lang.Throwable cause)

      Parameters:
        `message` -
        `cause` -

    - #### ResourceException

          public ResourceException(java.lang.Throwable cause)

      Parameters:
        `cause` -